Security Enhanced Linux Reference Policy

# Layer: services

## Module: consolesetup

Interfaces

### Description:

console font and keymap setup program for debian

### Interfaces:

consolesetup_domtrans( domain )

##### Summary

Execute console-setup in the consolesetup domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

consolesetup_exec_conf( domain )

##### Summary

Execute console-setup configuration files in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

consolesetup_manage_runtime( domain )

##### Summary

Allow the caller to manage consolesetup_runtime_t files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

consolesetup_read_conf( domain )

##### Summary

Read console-setup configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

consolesetup_runtime_filetrans_runtime_dir( domain )

##### Summary

Create a console-setup directory in the runtime directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return